Bug 995204 - (umbrello) Review Request: umbrello - UML modeller and UML diagram tool
Review Request: umbrello - UML modeller and UML diagram tool
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bříza
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-08-08 14:34 EDT by Jan Grulich
Modified: 2013-08-20 04:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-20 04:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mbriza: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-08-08 14:34:08 EDT
Spec URL: http://jgrulich.fedorapeople.org/umbrello.spec
SRPM URL: http://jgrulich.fedorapeople.org/umbrello-4.10.97-1.fc19.src.rpm
Description: GUI for diagramming Unified Modelling Language (UML)
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5795397

This package was previously part of kdesdk. Now it's distributed separately in KDE 4.11.
Comment 1 Kevin Kofler 2013-08-11 13:50:51 EDT
"modeler" and "modeling" are usually written with only 1 'l' in American English (in which Fedora specfiles should be written). The official expansion of UML is also "Unified Modeling Language" with only 1 'l':
http://en.wikipedia.org/wiki/Unified_Modeling_Language
Comment 3 Martin Bříza 2013-08-19 11:20:30 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: umbrello : /usr/share/kde4/apps/umbrello/headings/heading.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
-> this isn't a real header
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
-> doesn't contain actual java files
- Package contains BR: python2-devel or python3-devel
  See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
-> doesn't contain actual python files
- update-desktop-database is invoked when required
  Note: desktop file(s) in umbrello
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
-> no mimetype in the desktop file, okay
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
-> doesn't contain actual java files
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
-> again, no java here


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or generated".
     23 files have unknown license. Detailed output of licensecheck in
     /home/mbriza/995204-umbrello/licensecheck.txt
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: gtk-update-icon-cache is invoked when required
     Note: icons in umbrello
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 512000 bytes in 32 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Bundled jar/class files should be removed before build

Maven:
[ ]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[ ]: Packages are noarch unless they use JNI
     Note: umbrello subpackage is not noarch. Please verify manually
[ ]: Package uses upstream build method (ant/maven/etc.)

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: umbrello-4.10.97-1.fc20.x86_64.rpm
umbrello.x86_64: E: non-executable-script /usr/share/kde4/apps/umbrello/headings/heading.rb 0644L /usr/bin/env
umbrello.x86_64: W: devel-file-in-non-devel-package /usr/share/kde4/apps/umbrello/headings/heading.h
umbrello.x86_64: E: non-executable-script /usr/share/kde4/apps/umbrello/headings/heading.py 0644L /usr/bin/env
umbrello.x86_64: W: devel-file-in-non-devel-package /usr/share/kde4/apps/umbrello/headings/heading.cpp
umbrello.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/umbrello.svgz
umbrello.x86_64: W: no-manual-page-for-binary umbrello
1 packages and 0 specfiles checked; 2 errors, 4 warnings.

everything coming from headings is invalid
gzipped-svg-icon: minor problem
upstream doesn't provide a manpage for umbrello


Rpmlint (installed packages)
----------------------------
# rpmlint umbrello
umbrello.x86_64: E: non-executable-script /usr/share/kde4/apps/umbrello/headings/heading.rb 0644L /usr/bin/env
umbrello.x86_64: W: devel-file-in-non-devel-package /usr/share/kde4/apps/umbrello/headings/heading.h
umbrello.x86_64: E: non-executable-script /usr/share/kde4/apps/umbrello/headings/heading.py 0644L /usr/bin/env
umbrello.x86_64: W: devel-file-in-non-devel-package /usr/share/kde4/apps/umbrello/headings/heading.cpp
umbrello.x86_64: W: gzipped-svg-icon /usr/share/icons/hicolor/scalable/apps/umbrello.svgz
umbrello.x86_64: W: no-manual-page-for-binary umbrello
1 packages and 0 specfiles checked; 2 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
umbrello (rpmlib, GLIBC filtered):
    /bin/sh
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkfile.so.4()(64bit)
    libkio.so.5()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxslt.so.1()(64bit)
    libxslt.so.1(LIBXML2_1.0.11)(64bit)
    rtld(GNU_HASH)



Provides
--------
umbrello:
    kdesdk-umbrello
    mimehandler(application/x-uml)
    umbrello
    umbrello(x86-64)



Source checksums
----------------
http://download.kde.org/unstable/4.10.97/src/umbrello-4.10.97.tar.xz :
  CHECKSUM(SHA256) this package     : 8e9d0896e1b8d0919a686e1a7fb5ccbec4948da7f1ddba4050b8152c3e6fc27a
  CHECKSUM(SHA256) upstream package : 8e9d0896e1b8d0919a686e1a7fb5ccbec4948da7f1ddba4050b8152c3e6fc27a


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 995204 -m fedora-rawhide-x86_64
Comment 4 Martin Bříza 2013-08-19 11:23:02 EDT
APPROVED
Comment 5 Jan Grulich 2013-08-19 11:32:53 EDT
New Package SCM Request
=======================
Package Name: umbrello
Short Description: GUI for diagramming Unified Modeling Language (UML)
Owners: than rdieter kkofler ltinkl jgrulich mbriza
Branches: f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-19 12:11:05 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.